japa.parser.ast.body

## Class BaseParameter

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BaseParameter

Direct Known Subclasses:
  MultiTypeParameter, Parameter

    public abstract class BaseParameter
    extends Node

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`BaseParameter()`
`BaseParameter(int beginLine, int beginColumn, int endLine, int endColumn, int modifiers, List<AnnotationExpr> annotations, VariableDeclaratorId id)`
`BaseParameter(int modifiers, List<AnnotationExpr> annotations, VariableDeclaratorId id)`
`BaseParameter(int modifiers, VariableDeclaratorId id)`
`BaseParameter(VariableDeclaratorId id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<AnnotationExpr>` `getAnnotations()`
`VariableDeclaratorId` `getId()`
`int` `getModifiers()` Return the modifiers of this parameter declaration.
`void` `setAnnotations(List<AnnotationExpr> annotations)`
`void` `setId(VariableDeclaratorId id)`
`void` `setModifiers(int modifiers)`

### Methods inherited from class japa.parser.ast.Node

`accept, accept, addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BaseParameter

    public BaseParameter()

#### BaseParameter

    public BaseParameter(VariableDeclaratorId id)

#### BaseParameter

    public BaseParameter(int modifiers,
                         VariableDeclaratorId id)

#### BaseParameter

    public BaseParameter(int modifiers,
                         List<AnnotationExpr> annotations,
                         VariableDeclaratorId id)

#### BaseParameter

    public BaseParameter(int beginLine,
                         int beginColumn,
                         int endLine,
                         int endColumn,
                         int modifiers,
                         List<AnnotationExpr> annotations,
                         VariableDeclaratorId id)

### Method Detail

#### getAnnotations

    public List<AnnotationExpr> getAnnotations()

#### getId

    public VariableDeclaratorId getId()

#### getModifiers

    public int getModifiers()

Return the modifiers of this parameter declaration.

Returns:
  modifiers
See Also:
  `ModifierSet`

#### setAnnotations

    public void setAnnotations(List<AnnotationExpr> annotations)

#### setId

    public void setId(VariableDeclaratorId id)

#### setModifiers

    public void setModifiers(int modifiers)